2021-08-31 22:14:15 UTC
40.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4ed7d06bd90bc8d13b87220ccc6204a7d235ec943be9fb4289d856f9ff0a5b7b - 6.62% (2.69 MB)
[#001] sha256:125ca2a30f54cd18e05ac235653e5a7d47c17287feb16b702ecc59fafd8d57f1 - 0.0% (1.23 KB)
[#002] sha256:992210e79fef88bffd5534cd426d16e90d5ab6d645ac465be8b8a24fe84acfe2 - 93.37% (37.9 MB)
[#003] sha256:74b023f3b077dea6b6c7f95e0af985afdd991cc9862fdf338b31871e85da8073 - 0.0% (174 Bytes)
[#004] sha256:b7678dfe71e94f218ac4eaaca24a8c0c86af64cb4ef39f8c1cc86c69dbb1ce34 - 0.0% (153 Bytes)
[#005] sha256:58f56059d9560b4ba8d14f0cb501f1137093c6b75a5cfe4749622c462c8ca10d - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:fb9d541cffc3a5660d23426ba847aa696b59a9d7f14e00ba0a63b28c9ec272c0 in /
2021-08-31 21:23:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-08-31 22:13:58 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-08-31 22:13:58 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.1
2021-08-31 22:13:58 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.1
2021-08-31 22:13:59 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-08-31 22:14:00 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-08-31 22:14:12 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-08-31 22:14:13 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-08-31 22:14:14 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-08-31 22:14:14 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-08-31 22:14:14 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-08-31 22:14:14 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-08-31 22:14:14 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-08-31 22:14:15 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-08-31 22:14:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-08-31 22:14:15 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-23 12:50:10 UTC
41.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 6.45% (2.68 MB)
[#001] sha256:26219d328d3fceaa00722bf08b5b25052b3e0da4c15a6a77e1df9204a732de65 - 0.0% (1.23 KB)
[#002] sha256:e82ba3ce598354d1d1e9db209d6cefd802bae11112cc179b77cf361e9407c206 - 93.55% (38.9 MB)
[#003] sha256:c403ab9c506f25ff589ed067c1f5553eabb4f3ba88f0cd0811b73e3732efcb09 - 0.0% (174 Bytes)
[#004] sha256:3262b670efeeb779978bb086dbdc65962fac2f24282d2bc6a93f5456789949f2 - 0.0% (154 Bytes)
[#005] sha256:01e27d156c018aa365cae675cafe23837e07e696080fc7f770846623e5afa7eb - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /
2021-04-14 19:19:39 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-10 18:19:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-23 12:49:54 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.1
2021-07-23 12:49:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.1
2021-07-23 12:49:54 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-23 12:49:56 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-23 12:50:04 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-23 12:50:06 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-23 12:50:07 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-23 12:50:08 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-23 12:50:08 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-23 12:50:08 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-23 12:50:09 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-23 12:50:09 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-23 12:50:10 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-23 12:50:10 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-30 22:35:23 UTC
37.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.61% (2.5 MB)
[#001] sha256:c48876d7b3e756c3aaeb57fd3ba61ea0ebc72498f2069eea96117c6c10bb227c - 0.0% (1.23 KB)
[#002] sha256:4bd94ce8d8f97b691c6d2dea2766aee9da26a38f2eeb3e17b936b9e2b062bb3f - 93.38% (35.3 MB)
[#003] sha256:1c2d646ca9ee2709aacc296265548676f6e0aad6aa20e8c787a2e81150ec1977 - 0.0% (175 Bytes)
[#004] sha256:bc311461d774700c9ceb068db4145e564c15933dfe5b4c7142e5ccdc2cc25335 - 0.0% (153 Bytes)
[#005] sha256:dadf4256f5e5270b65423bb7af8574f60db7dd9475de0d3c4c736111ef3aae75 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /
2021-07-30 17:49:55 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-07-30 22:35:00 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-30 22:35:00 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.1
2021-07-30 22:35:01 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.1
2021-07-30 22:35:01 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-30 22:35:03 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-30 22:35:16 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-30 22:35:18 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-30 22:35:20 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-30 22:35:20 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-30 22:35:21 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-30 22:35:21 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-30 22:35:22 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-30 22:35:22 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-30 22:35:23 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-30 22:35:23 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-07-23 04:19:42 UTC
37.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.85% (2.59 MB)
[#001] sha256:9ec0bca027d4ed5928a09c462f06be2502d9e6dfd78d9ba3c527dc500cfcdfca - 0.0% (1.23 KB)
[#002] sha256:b4b3128d8785d803695d60c92ef9482ab1ddc021eeb844a226ba40208ccb0a54 - 93.14% (35.2 MB)
[#003] sha256:ccbf322ffab66a9b685be5eb28cf5499c409303c57282a74d1c3c7380cf2f5f7 - 0.0% (174 Bytes)
[#004] sha256:117f3c6fd6c3e6a3b608722cdf776c98efb4d2ab2be357bf99716b7e6f5e8343 - 0.0% (154 Bytes)
[#005] sha256:418597e612cf3477bacd0c9730131f6a619802a05c2a5c37081550ec54fc2c60 - 0.0% (1.66 KB)
/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /
2021-06-15 21:45:04 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-06-15 23:25:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-07-23 04:19:33 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.1
2021-07-23 04:19:33 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.1
2021-07-23 04:19:34 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-07-23 04:19:34 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-07-23 04:19:39 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-07-23 04:19:40 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-07-23 04:19:41 UTC|1 CONSUL_VERSION=1.10.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-07-23 04:19:41 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-07-23 04:19:41 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-07-23 04:19:41 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-07-23 04:19:42 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-07-23 04:19:42 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-07-23 04:19:42 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-07-23 04:19:42 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]